## GtkDirTree

GtkDirTree — A directory tree widget for GTK.

## Synopsis

    #include <gtkextra.h>

                        GtkDirTree;
                        GtkDirTreeNode;
    GtkWidget*          gtk_dir_tree_new                    (void);
    gint                gtk_dir_tree_open_dir               (GtkDirTree *dir_tree,
                                                             const gchar *path);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkCList
                                     +----GtkCTree
                                           +----GtkDirTree

## Implemented Interfaces

GtkDirTree implements AtkImplementorIface and GtkBuildable.

## Description

It is a GtkCTree subclass that allows you to navigate the file-system.

## Details

### GtkDirTree

    typedef struct _GtkDirTree GtkDirTree;

The GtkDirTree struct contains only private data. It should only be accessed through the functions described below.

### GtkDirTreeNode

    typedef struct {
      gboolean scanned;
      gchar *path;
    } GtkDirTreeNode;

### gtk_dir_tree_new ()

    GtkWidget*          gtk_dir_tree_new                    (void);

Returns : |

### gtk_dir_tree_open_dir ()

    gint                gtk_dir_tree_open_dir               (GtkDirTree *dir_tree,
                                                             const gchar *path);

Open files from directory path in dir_tree widget.

`dir_tree` : | GtkDirTree widget.
`path` : | gchar path to the dir to be opened.
Returns : | TRUE(succes) or FALSE(failure).